## tinysvm 0.09+dfsg

=== swig/Makefile ===
SWIG = swig
PREFIX = TinySVM

all: perl ruby python java

clean:
	rm -f *.pm *.cxx *.py

.PHONY: all clean perl ruby python java

perl:
	$(SWIG) -perl -shadow -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../perl
	mv -f $(PREFIX).pm ../perl

ruby:
	$(SWIG) -ruby -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../ruby/$(PREFIX)_wrap.cpp

python:
	$(SWIG) -python -shadow -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../python
	mv -f $(PREFIX).py ../python

java:
	$(SWIG) -java -package org.chasen.tinysvm -c++ $(PREFIX).i
	mkdir -p ../java/org/chasen/tinysvm
	mv -f *.java ../java/org/chasen/tinysvm
	mv -f $(PREFIX)_wrap.cxx ../java

=== doc/doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Process this file with automake to produce Makefile.in


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/TinySVM
pkglibdir = $(libdir)/TinySVM
pkgincludedir = $(includedir)/TinySVM

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = as
CC = gcc
CXX = c++
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
JAR = jar
JAVA = java
JAVAC = javac
JAVAINC = -I/usr/local/jdk/include
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTVERSION = 3:0:2
MAKEINFO = makeinfo
OBJDUMP = objdump
OBJEXT = o
PACKAGE = TinySVM
RANLIB = ranlib
STRIP = strip
VERSION = 0.09

html_HTMLS = svm_learn.html svm_classify.html svm_model.html
EXTRA_DIST = $(html_HTMLS) index.html tinysvm.css
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu doc/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


update-html:
	@for html in $(html_HTMLS); do \
		cmd=`basename $$html .html`.1 && \
		man2html ../man/$$cmd > $$html; \
	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
tinysvm (0.09+dfsg-2) experimental; urgency=low

  * Drop manpages_fix.patch.
  * Split 2002_autoconf_fixes.patch into 1003_autoconf_fixes.patch
    and 1003.1_do_not_create_python_setup.patch.
  * Make CFLAGS and CXXFLAGS overridable in 1003_autoconf_fixes.patch.
  * Fix a typo in 1003_autoconf_fixes.patch header.
  * Improve copyright file.
  * Fix copyright_hints.
  * Add 1004_developers_files.patch.
    Install tinysvm.pc with libtinysvm-dev.
  * Add 1005_auto_update_code_fixes.patch.
    Fixes update-html and update-man targets in doc/Makefile.am and
    man/Makefile.am.
  * Add Vcs-Browse and Vcs-Git fields.
  * Bumped Standards-Version to 3.9.4.
    No changes needed.
  * Add help2man and man2html build dependencies.
  * Change rules to update html and manpages at build time.
  * Install updated html files.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 13 Feb 2013 01:55:53 +0100

tinysvm (0.09+dfsg-1) experimental; urgency=low

  * Initial release
    Closes: #668874.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 13 Nov 2012 19:37:25 +0100

=== debian/control ===
Source: tinysvm
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: autotools-dev,
 cdbs (>= 0.4.85~),
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts,
 libtool,
 automake1.11,
 autoconf,
 dpkg-dev (>= 1.16.1~),
 help2man,
 man2html
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/tinysvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tinysvm.git
Homepage: http://www.chasen.org/~taku/software/TinySVM/

Package: tinysvm
Architecture: any
Depends: libtinysvm1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: SVM trainer and classifier toolkit
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms, and have been proven suitable for a
 large number of real-world applications, such as text categorization,
 hand-written character recognition, and image classification. TinySVM
 is an implementation specialising in pattern recognition.
 .
 This package provides tools for developing SVMs with TinySVM.

Package: libtinysvm-dev
Architecture: any
Section: libdevel
Depends: libtinysvm1 (= ${binary:Version}),
         ${misc:Depends}
Description: SVM trainer and classifier toolkit - development files
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms, and have been proven suitable for a
 large number of real-world applications, such as text categorization,
 hand-written character recognition, and image classification. TinySVM
 is an implementation specialising in pattern recognition.
 .
 This package provides development headers for TinySVM.

Package: libtinysvm1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtinysvm1 (= ${binary:Version}),
         ${misc:Depends}
Description: SVM trainer and classifier toolkit - debug symbols
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms.
 .
 This package provides the detached debug symbols for the TinySVM
 library.

Package: libtinysvm1
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: SVM trainer and classifier toolkit - runtime library
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms, and have been proven suitable for a
 large number of real-world applications, such as text categorization,
 hand-written character recognition, and image classification. TinySVM
 is an implementation specialising in pattern recognition.
 .
 This package contains the TinySVM runtime library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_TARBALL := 
DEB_ROOT := $(abspath $(dir $(firstword $(MAKEFILE_LIST)))/..)
DEB_SRCDIR := .

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CHECK_TARGET := check
DEB_BUILD_PARALLEL := 1
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -t

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_ACLOCAL_ARGS = 
DEB_AUTO_UPDATE_AUTOMAKE = 1.11
DEB_AUTOMAKE_ARGS = --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_AUTO_UPDATE_AUTOHEADER = 2.69

BACKUP=tinysvm.spec \
	doc/doc/Makefile.in doc/Makefile.in man/Makefile.in src/Makefile.in java/Makefile.in tests/Makefile.in Makefile.in \
 configure aclocal.m4 config.h.in ltmain.sh \
	man/*.1 doc/*.html

pre-build::
	# Backup files expected to be modified.
	set -e ; for i in $(BACKUP); do \
		if [ ! -f "$$i".backup ]; then cp -a "$$i" "$$i".backup; fi ; \
	done

common-install-prehook-impl::
	make update-man -C man
	make update-html -C doc

clean::
	set -e ; for i in $(BACKUP); do \
		if [ -f "$$i".backup ]; then mv -f "$$i".backup "$$i"; fi ; \
	done
	$(RM) java/Makefile perl/Makefile.PL ruby/extconf.rb
	$(RM) tests/train.500

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.1~), help2man, man2html

TINYSVM_GET_ORIG_TEMPORARY=$(DEB_ROOT)/temporary
TINYSVM_GET_ORIG_BASENAME=TinySVM-0.09
TINYSVM_GET_ORIG_ORIG_PATH=$(DEB_ROOT)/temporary/$(TINYSVM_GET_ORIG_BASENAME)/
TINYSVM_GET_ORIG_SWIG_FILES_BASEURL=https://raw.github.com/shogo82148/TinySVM/27cd618cc8d09834355102bf7f05147883e6e233/
get-orig-source:
	mkdir -p $(TINYSVM_GET_ORIG_TEMPORARY)
	cd $(DEB_ROOT) && uscan --no-conf --download-current-version --destdir $(DEB_ROOT)/temporary
	tar zxvf $(TINYSVM_GET_ORIG_TEMPORARY)/$(TINYSVM_GET_ORIG_BASENAME).tar.gz -C $(TINYSVM_GET_ORIG_TEMPORARY)
	cd $(TINYSVM_GET_ORIG_ORIG_PATH) \
	   && rm -f \
		java/*.* \
		perl/TinySVM*.* \
		python/TinySVM*.* \
		python/*.in \
		python/install-sh \
		python/makesetup \
		python/README \
		ruby/TinySVM*.* \
		ruby/mkmf.log
	echo \
		java/test.java \
		java/Makefile.in \
		python/setup.py \
		python/README \
		swig/TinySVM.i \
		swig/Makefile \
	   | sed -e 's/[[:space:]]\+/\n/g' \
	   | wget -i - -B $(TINYSVM_GET_ORIG_SWIG_FILES_BASEURL) -x -nH --cut-dirs=3 -P $(TINYSVM_GET_ORIG_ORIG_PATH) -c
	mv $(TINYSVM_GET_ORIG_ORIG_PATH) $(TINYSVM_GET_ORIG_TEMPORARY)/$(TINYSVM_GET_ORIG_BASENAME)+dfsg
	cd $(TINYSVM_GET_ORIG_TEMPORARY)/ \
	   && tar zcvf $(TINYSVM_GET_ORIG_BASENAME)+dfsg.tar.gz --owner root --group root --mode a+rX $(TINYSVM_GET_ORIG_BASENAME)+dfsg
	mv $(TINYSVM_GET_ORIG_TEMPORARY)/$(TINYSVM_GET_ORIG_BASENAME)+dfsg.tar.gz $$(echo $(TINYSVM_GET_ORIG_BASENAME)+dfsg.orig.tar.gz | sed -e 's/.*-/tinysvm_/')
	$(RM) -r $(TINYSVM_GET_ORIG_TEMPORARY)

clean::
	$(RM) -r $(TINYSVM_GET_ORIG_TEMPORARY)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.chasen.org/~taku/software/TinySVM/src/TinySVM[-_](\d[\d\.]+)\.(?:tar\.(?:gz|bz2|lzma|xz)|tgz|zip|txz)
